function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = ert_inequality.static_resid_tt(T, y, x, params);
end
residual = zeros(109, 1);
lhs = y(43)*y(23)+y(45)*y(27)+y(47)*y(31)+y(42)*y(22)+y(44)*y(26)+y(46)*y(30);
rhs = params(3)*(y(42)*y(34)+y(44)*y(36)+y(46)*y(38));
residual(1) = lhs - rhs;
lhs = y(17)*y(54)+(y(43)*y(23)+y(45)*y(27)+y(47)*y(31))*y(16)+y(17)*(y(43)*y(25)+y(45)*y(29)+y(47)*y(33));
rhs = y(5);
residual(2) = lhs - rhs;
residual(3) = y(54);
lhs = y(54);
rhs = x(1);
residual(4) = lhs - rhs;
lhs = y(53);
rhs = y(77)*y(79)*(1+params(19))*params(12)-1;
residual(5) = lhs - rhs;
lhs = y(5);
rhs = y(21)*(y(43)*y(35)+y(45)*y(37)+y(47)*y(39))+y(19)*y(17)*params(19)+y(55)+y(4);
residual(6) = lhs - rhs;
lhs = y(6);
rhs = (y(42)*y(34)+y(44)*y(36)+y(46)*y(38))*y(20)+y(3);
residual(7) = lhs - rhs;
lhs = y(7);
rhs = y(5)/(y(5)+y(6));
residual(8) = lhs - rhs;
lhs = y(55);
rhs = (y(42)*y(34)+y(44)*y(36)+y(46)*y(38))*params(3)*y(16)-(y(42)*y(34)+y(44)*y(36)+y(46)*y(38))*y(20)+(y(43)*y(35)+y(45)*y(37)+y(47)*y(39))*y(17)*params(4)-y(21)*(y(43)*y(35)+y(45)*y(37)+y(47)*y(39));
residual(9) = lhs - rhs;
lhs = (y(42)*y(22)+y(44)*y(26)+y(46)*y(30))*y(16)+y(17)*(y(42)*y(24)+y(44)*y(28)+y(46)*y(32));
rhs = y(6);
residual(10) = lhs - rhs;
lhs = y(17);
rhs = params(21);
residual(11) = lhs - rhs;
lhs = y(20);
rhs = params(3)*y(16);
residual(12) = lhs - rhs;
lhs = y(21);
rhs = y(17)*params(4);
residual(13) = lhs - rhs;
lhs = y(14);
rhs = y(16)*(y(46)*y(30)+y(44)*y(26)+y(43)*y(23)+y(45)*y(27)+y(47)*y(31)+y(42)*y(22))+y(17)*(y(46)*y(32)+y(44)*y(28)+y(43)*y(25)+y(45)*y(29)+y(47)*y(33)+y(42)*y(24));
residual(14) = lhs - rhs;
lhs = y(15);
rhs = y(42)*y(34)+y(44)*y(36)+y(46)*y(38)+y(43)*y(35)+y(45)*y(37)+y(47)*y(39);
residual(15) = lhs - rhs;
lhs = y(2);
rhs = 1-x(3);
residual(16) = lhs - rhs;
lhs = y(41);
rhs = y(2)*T(1);
residual(17) = lhs - rhs;
lhs = y(40);
rhs = y(2)*T(2);
residual(18) = lhs - rhs;
lhs = y(43);
rhs = y(43)-y(41);
residual(19) = lhs - rhs;
lhs = y(42);
rhs = y(42)-y(40);
residual(20) = lhs - rhs;
lhs = y(45);
rhs = y(41)+y(45)*(1-params(16)-params(9));
residual(21) = lhs - rhs;
lhs = y(44);
rhs = y(40)+y(44)*(1-params(15)-params(8));
residual(22) = lhs - rhs;
lhs = y(47);
rhs = y(47)+y(45)*params(16);
residual(23) = lhs - rhs;
lhs = y(46);
rhs = y(46)+y(44)*params(15);
residual(24) = lhs - rhs;
lhs = y(49);
rhs = y(49)+y(45)*params(9);
residual(25) = lhs - rhs;
lhs = y(48);
rhs = y(48)+y(44)*params(8);
residual(26) = lhs - rhs;
lhs = y(1);
rhs = 1-x(4);
residual(27) = lhs - rhs;
residual(28) = params(18)+T(3)*log(y(23)*y(66)-params(11))+y(1)*params(10)*log(y(25)*y(67))-T(4)*(y(35)*y(72))^2+y(2)*y(57)*y(76)*T(5)+y(77)*y(59)*(y(72)*y(35)*y(21)*y(74)-y(66)*y(23)*y(16)*y(78)-y(67)*y(25)*y(17)*y(79))-y(61)/params(12)+y(61)*y(75);
residual(29) = params(17)+T(3)*log(y(22)*y(80)-params(11))+y(1)*params(10)*log(y(24)*y(81))-T(4)*(y(34)*y(82))^2+y(2)*y(56)*y(86)*T(6)+y(58)*y(87)*(y(82)*y(34)*y(20)*y(84)-y(80)*y(22)*y(16)*y(78)-y(81)*y(24)*y(17)*y(79))-y(60)/params(12)+y(60)*y(85);
residual(30) = params(18)+T(3)*log(y(27)*y(68)-params(11))+y(1)*params(10)*log(y(29)*y(69))-T(4)*(y(37)*y(73))^2+y(77)*y(59)*(y(73)*y(37)*y(21)*y(74)-y(68)*y(27)*y(16)*y(78)-y(69)*y(29)*y(17)*y(79))-y(63)/params(12)+(1-params(16)-params(9))*y(63)*y(88)+params(16)*y(65)*y(89);
residual(31) = params(17)+T(3)*log(y(26)*y(70)-params(11))+y(1)*params(10)*log(y(28)*y(71))-T(4)*(y(36)*y(83))^2+y(58)*y(87)*(y(83)*y(36)*y(20)*y(84)-y(70)*y(26)*y(16)*y(78)-y(71)*y(28)*y(17)*y(79))-y(62)/params(12)+(1-params(15)-params(8))*y(62)*y(90)+params(15)*y(64)*y(91);
residual(32) = y(65)*y(89)+params(18)+T(3)*log(y(31)*y(92)-params(11))+y(1)*params(10)*log(y(33)*y(93))-T(4)*(y(39)*y(94))^2+y(77)*y(59)*(y(94)*y(39)*y(21)*y(74)-y(92)*y(31)*y(16)*y(78)-y(93)*y(33)*y(17)*y(79))-y(65)/params(12);
residual(33) = y(64)*y(91)+params(17)+T(3)*log(y(30)*y(95)-params(11))+y(1)*params(10)*log(y(32)*y(96))-T(4)*(y(38)*y(97))^2+y(58)*y(87)*(y(97)*y(38)*y(20)*y(84)-y(95)*y(30)*y(16)*y(78)-y(96)*y(32)*y(17)*y(79))-y(64)/params(12);
lhs = y(63);
rhs = y(57)+y(61);
residual(34) = lhs - rhs;
lhs = y(62);
rhs = y(56)+y(60);
residual(35) = lhs - rhs;
lhs = T(3)/(y(23)-params(11));
rhs = y(16)*y(59)-(y(45)*y(27)+y(44)*y(26))*params(1)*y(2)*y(57);
residual(36) = lhs - rhs;
lhs = T(3)/(y(22)-params(11));
rhs = y(16)*y(58)-(y(45)*y(27)+y(44)*y(26))*params(1)*y(2)*y(56);
residual(37) = lhs - rhs;
lhs = y(1)*params(10)/y(25);
rhs = y(17)*y(59)-(y(45)*y(29)+y(44)*y(28))*params(2)*y(2)*y(57);
residual(38) = lhs - rhs;
lhs = y(1)*params(10)/y(24);
rhs = y(17)*y(58)-(y(45)*y(29)+y(44)*y(28))*params(2)*y(2)*y(56);
residual(39) = lhs - rhs;
residual(40) = y(35)*params(14)-y(21)*y(59)-y(37)*y(45)*params(6)*y(2)*y(57);
lhs = params(20)*(y(20)-(y(20)));
rhs = (1-params(20))*(y(34)*params(14)-y(20)*y(58)-y(36)*y(44)*params(5)*y(2)*y(56));
residual(41) = lhs - rhs;
lhs = T(3)/(y(27)-params(11));
rhs = y(16)*y(59);
residual(42) = lhs - rhs;
lhs = T(3)/(y(26)-params(11));
rhs = y(16)*y(58);
residual(43) = lhs - rhs;
lhs = y(1)*params(10)/y(29);
rhs = y(17)*y(59);
residual(44) = lhs - rhs;
lhs = y(1)*params(10)/y(28);
rhs = y(17)*y(58);
residual(45) = lhs - rhs;
lhs = y(37)*params(14);
rhs = y(21)*y(59);
residual(46) = lhs - rhs;
lhs = params(20)*(y(36)-y(34));
rhs = (1-params(20))*(y(36)*params(14)-y(20)*y(58));
residual(47) = lhs - rhs;
lhs = T(3)/(y(31)-params(11));
rhs = y(16)*y(59);
residual(48) = lhs - rhs;
lhs = T(3)/(y(30)-params(11));
rhs = y(16)*y(58);
residual(49) = lhs - rhs;
lhs = y(1)*params(10)/y(33);
rhs = y(17)*y(59);
residual(50) = lhs - rhs;
lhs = y(1)*params(10)/y(32);
rhs = y(17)*y(58);
residual(51) = lhs - rhs;
lhs = y(39)*params(14);
rhs = y(21)*y(59);
residual(52) = lhs - rhs;
lhs = params(20)*(y(38)-y(34));
rhs = (1-params(20))*(y(38)*params(14)-y(20)*y(58));
residual(53) = lhs - rhs;
lhs = y(3);
rhs = x(2);
residual(54) = lhs - rhs;
lhs = y(18)-y(4)*(y(47)+y(43)+y(45));
rhs = y(3)*(y(46)+y(42)+y(44))+(1+params(19))*y(18);
residual(55) = lhs - rhs;
lhs = y(4)*x(5);
rhs = (1-x(5))*(y(4)*(y(47)+y(43)+y(45))+params(19)*y(18));
residual(56) = lhs - rhs;
lhs = y(8);
rhs = (y(42)*y(22)+y(44)*y(26)+y(46)*y(30))*y(16)+y(17)*(y(42)*y(24)+y(44)*y(28)+y(46)*y(32));
residual(57) = lhs - rhs;
lhs = y(9);
rhs = (y(43)*y(23)+y(45)*y(27)+y(47)*y(31))*y(16)+y(17)*(y(43)*y(25)+y(45)*y(29)+y(47)*y(33));
residual(58) = lhs - rhs;
lhs = y(10);
rhs = y(42)*y(34)+y(44)*y(36)+y(46)*y(38);
residual(59) = lhs - rhs;
lhs = y(11);
rhs = y(43)*y(35)+y(45)*y(37)+y(47)*y(39);
residual(60) = lhs - rhs;
lhs = y(12);
rhs = (y(42)*y(34)+y(44)*y(36)+y(46)*y(38))*y(20);
residual(61) = lhs - rhs;
lhs = y(13);
rhs = y(21)*(y(43)*y(35)+y(45)*y(37)+y(47)*y(39));
residual(62) = lhs - rhs;
lhs = y(50);
rhs = y(42)*T(7)+y(44)*T(8)+y(46)*T(9)+params(12)*y(50)*y(99);
residual(63) = lhs - rhs;
lhs = y(51);
rhs = y(43)*T(10)+y(45)*T(11)+y(47)*T(12)+params(12)*y(51)*y(98);
residual(64) = lhs - rhs;
lhs = y(52);
rhs = y(50)+y(51);
residual(65) = lhs - rhs;
lhs = y(101);
rhs = y(2)*T(13);
residual(66) = lhs - rhs;
lhs = y(100);
rhs = y(2)*T(14);
residual(67) = lhs - rhs;
lhs = y(103);
rhs = y(103)-y(101);
residual(68) = lhs - rhs;
lhs = y(102);
rhs = y(102)-y(100);
residual(69) = lhs - rhs;
lhs = y(105);
rhs = y(101)+(1-params(16)-params(9))*y(105);
residual(70) = lhs - rhs;
lhs = y(104);
rhs = y(100)+(1-params(15)-params(8))*y(104);
residual(71) = lhs - rhs;
lhs = y(107);
rhs = y(107)+params(16)*y(105);
residual(72) = lhs - rhs;
lhs = y(106);
rhs = y(106)+params(15)*y(104);
residual(73) = lhs - rhs;
lhs = y(109);
rhs = y(109)+params(9)*y(105);
residual(74) = lhs - rhs;
lhs = y(108);
rhs = y(108)+params(8)*y(104);
residual(75) = lhs - rhs;
lhs = y(66);
rhs = 1;
residual(76) = lhs - rhs;
lhs = y(67);
rhs = 1;
residual(77) = lhs - rhs;
lhs = y(68);
rhs = 1;
residual(78) = lhs - rhs;
lhs = y(69);
rhs = 1;
residual(79) = lhs - rhs;
lhs = y(70);
rhs = 1;
residual(80) = lhs - rhs;
lhs = y(71);
rhs = 1;
residual(81) = lhs - rhs;
lhs = y(72);
rhs = 1;
residual(82) = lhs - rhs;
lhs = y(73);
rhs = 1;
residual(83) = lhs - rhs;
lhs = y(74);
rhs = 1;
residual(84) = lhs - rhs;
lhs = y(75);
rhs = 1;
residual(85) = lhs - rhs;
lhs = y(76);
rhs = 1;
residual(86) = lhs - rhs;
lhs = y(77);
rhs = 1;
residual(87) = lhs - rhs;
lhs = y(78);
rhs = 1;
residual(88) = lhs - rhs;
lhs = y(79);
rhs = 1;
residual(89) = lhs - rhs;
lhs = y(80);
rhs = 1;
residual(90) = lhs - rhs;
lhs = y(81);
rhs = 1;
residual(91) = lhs - rhs;
lhs = y(82);
rhs = 1;
residual(92) = lhs - rhs;
lhs = y(83);
rhs = 1;
residual(93) = lhs - rhs;
lhs = y(84);
rhs = 1;
residual(94) = lhs - rhs;
lhs = y(85);
rhs = 1;
residual(95) = lhs - rhs;
lhs = y(86);
rhs = 1;
residual(96) = lhs - rhs;
lhs = y(87);
rhs = 1;
residual(97) = lhs - rhs;
lhs = y(88);
rhs = 1;
residual(98) = lhs - rhs;
lhs = y(89);
rhs = 1;
residual(99) = lhs - rhs;
lhs = y(90);
rhs = 1;
residual(100) = lhs - rhs;
lhs = y(91);
rhs = 1;
residual(101) = lhs - rhs;
lhs = y(92);
rhs = 1;
residual(102) = lhs - rhs;
lhs = y(93);
rhs = 1;
residual(103) = lhs - rhs;
lhs = y(94);
rhs = 1;
residual(104) = lhs - rhs;
lhs = y(95);
rhs = 1;
residual(105) = lhs - rhs;
lhs = y(96);
rhs = 1;
residual(106) = lhs - rhs;
lhs = y(97);
rhs = 1;
residual(107) = lhs - rhs;
lhs = y(98);
rhs = 1;
residual(108) = lhs - rhs;
lhs = y(99);
rhs = 1;
residual(109) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
