function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 13);

T(1) = y(75)*y(26)*params(1)*(y(28)*y(79)+y(27)*y(78))+y(77)*y(26)*params(2)*(y(28)*y(81)+y(27)*y(80))+y(89)*y(28)*y(87)*y(26)*params(6)+y(26)*params(7)*(y(28)+y(27));
T(2) = (y(28)*y(79)+y(27)*y(78))*y(74)*y(25)*params(1)+(y(28)*y(81)+y(27)*y(80))*y(76)*y(25)*params(2)+y(88)*y(27)*y(86)*y(25)*params(5)+(y(28)+y(27))*y(25)*params(7);
T(3) = params(14)/2;
T(4) = y(164)*y(75)*params(1)*(y(79)*y(97)*y(166)+y(78)*y(96)*y(168))+y(165)*y(77)*params(2)*(y(81)*y(97)*y(167)+y(80)*y(96)*y(169))+y(89)*y(97)*y(170)*y(87)*params(6)*y(171)+params(7)*(y(97)+y(96));
T(5) = params(7)*(y(97)+y(96))+(y(79)*y(97)*y(166)+y(78)*y(96)*y(168))*y(178)*y(74)*params(1)+(y(81)*y(97)*y(167)+y(80)*y(96)*y(169))*y(179)*y(76)*params(2)+y(88)*y(96)*y(180)*y(86)*params(5)*y(181);
T(6) = params(17)+y(53)*(1-params(10))*log(y(74)-params(11))+y(53)*params(10)*log(y(76))-T(3)*y(86)^2;
T(7) = params(17)+y(53)*(1-params(10))*log(y(78)-params(11))+y(53)*params(10)*log(y(80))-T(3)*y(88)^2;
T(8) = params(17)+y(53)*(1-params(10))*log(y(82)-params(11))+y(53)*params(10)*log(y(84))-T(3)*y(90)^2;
T(9) = params(18)+y(53)*(1-params(10))*log(y(75)-params(11))+y(53)*params(10)*log(y(77))-T(3)*y(87)^2;
T(10) = params(18)+y(53)*(1-params(10))*log(y(79)-params(11))+y(53)*params(10)*log(y(81))-T(3)*y(89)^2;
T(11) = params(18)+y(53)*(1-params(10))*log(y(83)-params(11))+y(53)*params(10)*log(y(85))-T(3)*y(91)^2;
T(12) = params(1)*y(46)*(steady_state(23))*(y(48)*(steady_state(27))+y(47)*(steady_state(26)))+params(2)*y(46)*(steady_state(25))*(y(48)*(steady_state(29))+y(47)*(steady_state(28)))+y(48)*params(6)*y(46)*(steady_state(35))*(steady_state(37))+params(7)*y(46)*(y(48)+y(47));
T(13) = (y(48)*(steady_state(27))+y(47)*(steady_state(26)))*params(1)*y(45)*(steady_state(22))+(y(48)*(steady_state(29))+y(47)*(steady_state(28)))*params(2)*y(45)*(steady_state(24))+y(47)*params(5)*y(45)*(steady_state(34))*(steady_state(36))+(y(48)+y(47))*params(7)*y(45);

end
